# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models

from ..tools import week_days


class PartnerDeliverySchedule(models.Model):
    _name = "res.partner.delivery.schedule"
    _description = "Créneaux des livraisons"

    partner_id = fields.Many2one(
        comodel_name="res.partner", string="Contact", required=True
    )
    day = fields.Selection(
        string="Jour", selection=week_days.get_week_days(), required=True
    )
    opening_hour = fields.Float(string="Début", required=False)
    closing_hour = fields.Float(string="Fin", required=False)


class PartnerSpotSchedule(models.Model):
    _name = "res.partner.spot.schedule"
    _description = "Emplacements des commerces itinérants"

    partner_id = fields.Many2one(
        comodel_name="res.partner", string="Contact", required=True
    )
    day = fields.Selection(
        string="Jour", selection=week_days.get_week_days(), required=True
    )
    spot = fields.Char(string="Emplacement", required=False)


class PartnerOpeningSchedule(models.Model):
    _name = "res.partner.opening.schedule"
    _description = "Horaires et jours d'ouverture"

    partner_id = fields.Many2one(
        comodel_name="res.partner", string="Contact", required=True
    )
    day = fields.Selection(
        string="Jour", selection=week_days.get_week_days(), required=True
    )
    opening_hour = fields.Float(string="Début", required=False)
    closing_hour = fields.Float(string="Fin", required=False)
